Subject: Re: bug#15262: 24.3.50; desktop does not save buffer-display-time

From: Juri Linkov <[email-masked]>
Date: Sun, 18 Aug 2019 23:58:02 +0300

>>>>> Maybe someone wants starting a new Emacs to reset the clocks on all
>>>>> their buffers, so none are considered "old".
>>>>
>>>> why would one want to do that?
>>>
>>> You don't think there's anyone alive who would think it weird to start
>>> an Emacs at 11.59pm, then have a bunch of buffers killed 1 minute later
>>> as "too old"?
>>
>> well, let's see: the last time the user saw the buffers was 3 days ago.
>> and he explicitly (by enabling midnight) requested that they are purged.
>> what's weird?
>> ah, I see! suppose the user have not used emacs for a week.
>> then all buffers will be killed.
>> maybe it would make sense to advance the saved buffer-display-time
>> by the period while emacs was inactive.
>
> The changes suggested by Sam Steingold above is now on master, and I'm
> therefore closing this bug report.
>
> commit cd726ef68ece4fff6772bd08c0051c294e925505
> Author: Sam Steingold <[email-masked]>
> Date:   Sat Oct 15 23:14:48 2016 -0400
>
>     Save and restore buffer-display-time
>
>     * desktop.el (desktop-locals-to-save): Add `buffer-display-time'
>     (desktop-read): Set `desktop-file-modtime' before loading the desktop file
>     (desktop-create-buffer): Adjust `buffer-display-time' for the
>     downtime

I used to show buffer-display-time in the customized buffer list.
After that change buffer-display-time displayed weird times,
so I had to replace buffer-display-time with visited-file-modtime
instead.  But I think this issue has a minuscule importance,
so unless somebody wants to add a new attribute inactive-time,
it was ok to close this.